Package com.independentsoft.office.spreadsheet.extensions

# Class AbsolutePath

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.AbsolutePath

All Implemented Interfaces:
  `IExtensionContent`

public class AbsolutePath extends Object implements IExtensionContent
Represents the absolute path of the workbook (`x15ac:absPath` element), stored by Excel 2013 and later inside a markup compatibility block in workbook.xml.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`
  The namespace of the absolute path element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbsolutePath()`
  Instantiates a new absolute path.
  `AbsolutePath​(InternalXMLStreamReader reader)`
  Instantiates a new absolute path.
  `AbsolutePath​(String url)`
  Instantiates a new absolute path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbsolutePath`
  `clone()`
  Clone.
  `String`
  `getUrl()`
  Gets the absolute path of the workbook.
  `void`
  `setUrl​(String url)`
  Sets the absolute path of the workbook.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The namespace of the absolute path element.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AbsolutePath

    public AbsolutePath()
    Instantiates a new absolute path.

  - ### AbsolutePath

    public AbsolutePath​(String url)
    Instantiates a new absolute path.
    Parameters:
      `url` - the absolute path of the workbook

  - ### AbsolutePath

    public AbsolutePath​(InternalXMLStreamReader reader)
    Instantiates a new absolute path.

    Reads the attributes only and leaves the reader ON the start element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader

- ## Method Details

  - ### clone

    public AbsolutePath clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getUrl

    public String getUrl()
    Gets the absolute path of the workbook.
    Returns:
      the url

  - ### setUrl

    public void setUrl​(String url)
    Sets the absolute path of the workbook.
    Parameters:
      `url` - the new url